function genAvatarLink()
{
	%link = "?";
	%faceCol = swol_avatarParseCol($pref::Avatar::HeadColor);
	%bodyCol = swol_avatarParseCol($pref::Avatar::TorsoColor);
	%faceName = fileName($Pref::Avatar::FaceName);
	%faceName = getSubStr(%faceName,0,strlen(%faceName)-4);
	%decalName = fileName($Pref::Avatar::DecalName);
	%hatId = $pref::Avatar::Hat;
	%pack = $pref::Avatar::Pack;
	%secondpack = $pref::Avatar::SecondPack;
	%chest = $Pref::Avatar::Chest;
	%larm = $Pref::Avatar::LArm;
	%rarm = $Pref::Avatar::RArm;
	%larmCol = swol_avatarParseCol($Pref::Avatar::LArmColor);
	%rarmCol = swol_avatarParseCol($Pref::Avatar::RArmColor);
	%lhand = $Pref::Avatar::LHand;
	%rhand = $Pref::Avatar::RHand;
	%lhandCol = swol_avatarParseCol($Pref::Avatar::LHandColor);
	%rhandCol = swol_avatarParseCol($Pref::Avatar::RHandColor);
	
	%lleg = $Pref::Avatar::LLeg;
	%rleg = $Pref::Avatar::RLeg;
	%llegCol = swol_avatarParseCol($Pref::Avatar::LLegColor);
	%rlegCol = swol_avatarParseCol($Pref::Avatar::RLegColor);
	%pants = $Pref::Avatar::Hip;
	%pantsCol = swol_avatarParseCol($Pref::Avatar::HipColor);
	
	%link = %link @ "fcol=" @ %faceCol @ "&bcol=" @ %bodyCol @ "&face=" @ %faceName;
	
	if(%hatId != 0)
	{
		%hatCol = swol_avatarParseCol($pref::Avatar::HatColor);
		%link = %link @ "&hat=" @ %hatId @ "&hcol=" @ %hatCol;
		%accentId = $pref::Avatar::Accent;
		if(%accentId != 0)
		{
			%accentCol = swol_avatarParseCol($pref::Avatar::AccentColor,true);
			%link = %link @ "&accent=" @ %accentId @ "&acol=" @ %accentCol;
		}
	}
	if(%pack != 0)
	{
		%packCol = swol_avatarParseCol($pref::Avatar::PackColor);
		%link = %link @ "&pack=" @ %pack @ "&pacol=" @ %packCol;
	}
	if(%secondpack != 0)
	{
		%secondpackCol = swol_avatarParseCol($pref::Avatar::SecondPackColor);
		%link = %link @ "&secondpack=" @ %secondpack @ "&spacol=" @ %secondpackCol;
	}
	if(%decalName !$= "AAA-None")
	{
		%decalName = getSubStr(%decalName,0,strlen(%decalName)-4);
		%link = %link @ "&decal=" @ %decalName;
	}
	if(%chest != 0)
		%link = %link @ "&chest=" @ %chest;
	if(%pants != 0)
		%link = %link @ "&pants=" @ %pants;
	else
	{
		if(%lleg != 0)
			%link = %link @ "&lleg=" @ %lleg;
		if(%rleg != 0)
			%link = %link @ "&rleg=" @ %rleg;
	}
	if(%larm != 0)
		%link = %link @ "&larm=" @ %larm;
	if(%rarm != 0)
		%link = %link @ "&rarm=" @ %rarm;
	if(%lhand != 0)
		%link = %link @ "&lhand=" @ %lhand;
	if(%rhand != 0)
		%link = %link @ "&rhand=" @ %rhand;
	%link = %link @ "&pcol=" @ %pantsCol;
	%link = %link @ "&lacol=" @ %larmCol;
	%link = %link @ "&racol=" @ %rarmCol;
	%link = %link @ "&rhcol=" @ %rhandCol;
	%link = %link @ "&lhcol=" @ %lhandCol;
	%link = %link @ "&rlcol=" @ %rlegCol;
	%link = %link @ "&llcol=" @ %llegCol;
	setClipboard("http://swololol.com/bl_av" @ %link);
	echo("Link copied to clipboard!");
}
function swol_avatarParseCol(%col,%alpha)
{
	%wcnt = getWordCount(%col);
	%new = "";
	if(!%alpha && %wcnt == 4)
		%wcnt--;
	for(%i=0;%i<%wcnt;%i++)
	{
		%num = getWord(%col,%i);
		%num = mFloor(%num*255);
		if(%i != 0)
			%new = %new @ "," @ %num;
		else
			%new = %num;
	}
	return %new;
}